<!DOCTYPE html>
<html lang="{{ site.lang }}" dir="{{ site.dir }}">
  <head>
    <meta charset="UTF-8">
    <base href="{% base %}" />
    <meta content="text/html; charset=UTF-8" http-equiv="Content-Type">
    <meta content="width=device-width, initial-scale=1.0" name="viewport">
    <meta name="theme-color" content="white"/>
    <meta name="color-scheme" content="light"/>
    <meta name="referrer" content="strict-origin-when-cross-origin"/>

    <link href="assets/css/styles.css?{{ site.time | date: '%s' }}" rel="stylesheet" data-turbo-track="reload">

    {%- include script.html src="assets/js/env.js" -%}
    {%- if jekyll.environment == "production" -%}
      {%- for pack in site.data.manifest.outputs -%}
        {%- unless pack[1].entryPoint -%}{%- continue -%}{%- endunless -%}
        {%- assign src = pack[0] -%}
        {%- include script.html src=src -%}
      {%- endfor -%}
    {%- else -%}
      {%- include script.html src="pack.js" -%}
    {%- endif -%}

    {%- assign about = site.posts | find: "layout", "about" -%}
    {%- assign theme = site.posts | find: "layout", "theme" -%}

    {% for apple_touch_size in site.data.theme.apple_touch_sizes %}
      <link rel="apple-touch-icon" sizes="{{ apple_touch_size }}x{{ apple_touch_size }}" href="{{ about.favicon.path | thumbnail: apple_touch_size, apple_touch_size | uri_escape }}">
    {% endfor %}

    {% for chrome_icon_size in site.data.theme.chrome_icon_sizes %}
      <link rel="icon" type="image/png" sizes="{{ chrome_icon_size }}x{{chrome_icon_size }}" href="{{ about.favicon.path | thumbnail: chrome_icon_size , chrome_icon_size | uri_escape }}">
    {% endfor %}

    {% for msapplication_size in site.data.theme.msapplication_sizes %}
      <meta name="msapplication-TileImage" content="{{ about.favicon.path | thumbnail: msapplication_size , msapplication_size | uri_escape }}">
    {% endfor %}

    <link rel="manifest" href="site.webmanifest">
    <meta name="msapplication-TileColor" content="{{ theme.bg_color }}">
    <meta name="theme-color" content="{{ theme.primary }}">
    {% seo %}
    

    {%- if page.activity -%}
      <link href="{{ page.activity.id | absolute_url }}" rel="alternate" type="application/activity+json" />
    {%- endif -%}

    {%- if site.activity_pub_profile -%}
      <meta property="profile:username" content="{{ site.activity_pub_profile }}" />
    {%- endif -%}

    {%- if site.actor -%}
      <link rel="me" href="{{ site.actor.id | absolute_url }}" />
    {%- endif -%}
  </head>

  <body>
    {% unless jekyll.environment == "production" %}
      {% include device_detector.html %}
    {% endunless %}

    <main tabindex="-1" role="main" id="content">
      {{ content }}
    </main>
  </body>
</html>
